"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_bounceable_1 = tslib_1.__importDefault(require("@freakycoder/react-native-bounceable"));
/**
 * ? Local Imports
 */
const EmptyState_style_1 = tslib_1.__importDefault(require("./EmptyState.style"));
const EmptyState = (props) => {
    const { title, buttonText, description, enableButton = false, style, imageStyle, buttonStyle, titleTextStyle, buttonTextStyle, containerGlueStyle, descriptionTextStyle, descriptionContainerStyle, ImageComponent = react_native_1.Image, imageSource, onPress, } = props;
    return (<react_native_1.View style={[EmptyState_style_1.default.container, style]}>
      <ImageComponent resizeMode="contain" source={imageSource} style={[EmptyState_style_1.default.imageStyle, imageStyle]}/>
      <react_native_1.View style={[EmptyState_style_1.default.containerGlue, containerGlueStyle]}>
        <react_native_1.Text style={[EmptyState_style_1.default.titleTextStyle, titleTextStyle]}>{title}</react_native_1.Text>
        <react_native_1.View style={[EmptyState_style_1.default.descriptionContainer, descriptionContainerStyle]}>
          <react_native_1.Text style={[EmptyState_style_1.default.descriptionTextStyle, descriptionTextStyle]}>
            {description}
          </react_native_1.Text>
        </react_native_1.View>
      </react_native_1.View>
      {enableButton && (<react_native_bounceable_1.default bounceEffect={0.97} {...props} style={[EmptyState_style_1.default.buttonStyle, buttonStyle]} onPress={onPress}>
          <react_native_1.Text style={[EmptyState_style_1.default.buttonTextStyle, buttonTextStyle]}>
            {buttonText}
          </react_native_1.Text>
        </react_native_bounceable_1.default>)}
    </react_native_1.View>);
};
exports.default = EmptyState;
//# sourceMappingURL=EmptyState.js.map